summaryrefslogtreecommitdiff
path: root/sys-cluster/glusterfs/files/glusterd-r3.initd
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-10-29 11:22:34 +0000
committerV3n3RiX <venerix@redcorelinux.org>2017-10-29 11:22:34 +0000
commitbd7908c6630f38067350d396ac5d18c3cc2434a0 (patch)
tree3559b3e11424f5529527f2474d8a977a91ee3389 /sys-cluster/glusterfs/files/glusterd-r3.initd
parent8b2628ad8526c806375e7b157889e4274b70248b (diff)
gentoo resync : 29.10.2017
Diffstat (limited to 'sys-cluster/glusterfs/files/glusterd-r3.initd')
-rw-r--r--sys-cluster/glusterfs/files/glusterd-r3.initd32
1 files changed, 32 insertions, 0 deletions
diff --git a/sys-cluster/glusterfs/files/glusterd-r3.initd b/sys-cluster/glusterfs/files/glusterd-r3.initd
new file mode 100644
index 000000000000..27682d06216d
--- /dev/null
+++ b/sys-cluster/glusterfs/files/glusterd-r3.initd
@@ -0,0 +1,32 @@
+#!/sbin/openrc-run
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+description="Gluster elastic volume management daemon"
+command="/usr/sbin/glusterd"
+pidfile="/var/run/${SVCNAME}.pid"
+command_args="-N"
+
+command_background="yes"
+
+depend() {
+ need net
+ before netmount
+}
+
+start_pre() {
+ # Ensure that the GlusterFS auxiliary mount parent directory exists
+ checkpath --directory --owner gluster:gluster --mode 0775 /var/run/gluster
+}
+
+start_post() {
+ local c=0
+ ebegin "Waiting for glusterd to start up"
+ while ! /usr/sbin/gluster volume list &>/dev/null && [ "${c}" -lt "${glusterd_max_wait_start-60}" ]; do
+ (( ++c ))
+ done
+ [ "${c}" -lt "${glusterd_max_wait_start-60}" ]
+ eend $?
+
+ return 0
+}